Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CIDateTypeCode

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CIDateTypeCode

    public class CIDateTypeCode

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="codeListValue" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="codeList" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected String` | `codeList`
`protected String` | `codeListValue`
`protected String` | `value`

Constructor Summary
`CIDateTypeCode()`

Method Summary
`String` | `getCodeList()` Gets the value of the codeList property.
`String` | `getCodeListValue()` Gets the value of the codeListValue property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setCodeList(String value)` Sets the value of the codeList property.
`void` | `setCodeListValue(String value)` Sets the value of the codeListValue property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### codeListValue

    protected String codeListValue

### codeList

    protected String codeList

Constructor Detail

### CIDateTypeCode

    public CIDateTypeCode()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getCodeListValue

    public String getCodeListValue()

  Gets the value of the codeListValue property.

  Returns:
    possible object is `String`

### setCodeListValue

    public void setCodeListValue(String value)

  Sets the value of the codeListValue property.

  Parameters:
    `value` - allowed object is `String`

### getCodeList

    public String getCodeList()

  Gets the value of the codeList property.

  Returns:
    possible object is `String`

### setCodeList

    public void setCodeList(String value)

  Sets the value of the codeList property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org